Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:42 2009

## Asterisk developer's documentation

# local_pvt Struct Reference

Collaboration diagram for local_pvt:

[legend]

## Data Fields

int | alreadymasqed
int | cancelqueue
struct ast_channel * | chan
char | context [AST_MAX_CONTEXT]
char | exten [AST_MAX_EXTENSION]
int | glaredetect
int | launchedpbx
ast_mutex_t | lock
struct local_pvt * | next
int | nooptimization
struct ast_channel * | owner
int | reqformat

## Detailed Description

Definition at line 102 of file chan_local.c.

## Field Documentation

int alreadymasqed

Definition at line 109 of file chan_local.c.

Referenced by check_bridge(), and local_write().

int cancelqueue

Definition at line 108 of file chan_local.c.

Referenced by local_hangup(), and local_queue_frame().

struct ast_channel* chan`[read]`

Definition at line 113 of file chan_local.c.

Referenced by check_bridge(), local_call(), local_fixup(), local_hangup(), local_new(), and local_queue_frame().

char context[AST_MAX_CONTEXT]

Definition at line 104 of file chan_local.c.

Referenced by local_alloc(), local_new(), and locals_show().

char exten[AST_MAX_EXTENSION]

Definition at line 105 of file chan_local.c.

Referenced by local_alloc(), local_new(), and locals_show().

int glaredetect

Definition at line 107 of file chan_local.c.

Referenced by local_hangup(), and local_queue_frame().

int launchedpbx

Definition at line 110 of file chan_local.c.

Referenced by local_call(), and local_hangup().

ast_mutex_t lock

Definition at line 103 of file chan_local.c.

Referenced by local_alloc(), local_answer(), local_call(), local_digit(), local_fixup(), local_hangup(), local_indicate(), local_queue_frame(), local_sendhtml(), local_write(), and locals_show().

struct local_pvt* next`[read]`

Definition at line 114 of file chan_local.c.

Referenced by local_alloc(), local_hangup(), locals_show(), and unload_module().

int nooptimization

Definition at line 111 of file chan_local.c.

Referenced by check_bridge(), and local_alloc().

struct ast_channel* owner`[read]`

Definition at line 112 of file chan_local.c.

Referenced by check_bridge(), local_call(), local_fixup(), local_hangup(), local_new(), local_queue_frame(), locals_show(), and unload_module().

int reqformat

Definition at line 106 of file chan_local.c.

Referenced by local_alloc(), and local_new().

The documentation for this struct was generated from the following file:

- chan_local.c